Skip to content

Retrieve all object and object field permissions (Read, Edit, Create, Delete) assigned to a specific user.

GET/api/{version}/objects/users/{id}/permissions
NameDescription
Acceptapplication/json (default) or application/xml
NameDescription
{id}The ID of the user. Use the value me to retrieve information for the currently authenticated user.
NameDescription
filter=name__v::{permission_name}Filter the results to show only one specific name__v, which is in the format object.{object name}.{object or field}_actions. Wildcards are not supported.
curl -X POST -H "Authorization: {SESSION_ID}" \ https://myvault.veevavault.com/api/v26.1/objects/users/61579/permissions?filter=name__v::object.product__v.object_actions
{ "responseStatus": "SUCCESS", "data": [ { "name__v": "object.product__v.object_actions", "permissions": { "read": true, "edit": true, "create": false, "delete": false } } ] }